﻿"use strict";
/*!
  Copyright (C) Microsoft. All rights reserved.
  This library is supported for use in Windows Store apps only.
*/
function setScreenSize(n,t){var r=parseInt(n),i;r=r===NaN?-1:r;i=parseInt(t);i=i===NaN?-1:i;Ormma._setScreenSize(r,i)}function invokeInit(){Ormma._init()}function reportError(n,t){Ormma._throwError(n,t)}function setOrmmaState(n){Ormma._setState(n)}function setOrmmaPlacementType(n){Ormma._setPlacementType(n)}function setOrmmaLocale(n){Ormma._setLocale(n)}function setSize(n,t){var r=parseInt(n),i;r=r===NaN?-1:r;i=parseInt(t);i=i===NaN?-1:i;Ormma._setSize(r,i)}function setMaxSize(n,t){var r=parseInt(n),i;r=r===NaN?-1:r;i=parseInt(t);i=i===NaN?-1:i;Ormma._setMaxSize(r,i)}function setOrientation(n){var t=parseInt(n);t=t===NaN?-1:t;Ormma._setOrientation(t)}function fireShake(){Ormma._shake()}function updateTiltCoords(n,t,i){Ormma._tiltChange({x:n,y:t,z:i})}function fireViewable(n){var t=stringToBoolean(n);Ormma._viewableChange(t)}function viewableDataChange(n){Ormma._viewableDataChange(n)}function setCapability(n,t){Ormma._setCapability(n,stringToBoolean(t))}function stringToBoolean(n){return n.toLowerCase()==="true"?!0:!1}function fireResponse(n,t){var i={url:escape(n),response:escape(t)};Ormma._sendResponse(i)}function setNetwork(n){Ormma._setNetwork(n)}function setSdkVersion(n,t,i){Ormma._setSdkVersion(n,t,i)}function fireClickEvent(){Ormma._clicked()}var ORMMA_STATE_DEFAULT="default",ORMMA_STATE_EXPANDED="expanded",ORMMA_STATE_HIDDEN="hidden",ORMMA_STATE_LOADING="loading",ORMMA_STATE_RESIZED="resized",ORMMA_STATE_SUSPENDED="suspended",ORMMA_STATE_UNKNOWN="unknown",ORMMA_EVENT_ERROR="error",ORMMA_EVENT_HEADING_CHANGE="headingChange",ORMMA_EVENT_KEYBOARD_CHANGE="keyboardChange",ORMMA_EVENT_LOCATION_CHANGE="locationChange",ORMMA_EVENT_NETWORK_CHANGE="networkChange",ORMMA_EVENT_ORIENTATION_CHANGE="orientationChange",ORMMA_EVENT_READY="ready",ORMMA_EVENT_RESPONSE="response",ORMMA_EVENT_SCREEN_CHANGE="screenChange",ORMMA_EVENT_SHAKE="shake",ORMMA_EVENT_SIZE_CHANGE="sizeChange",ORMMA_EVENT_STATE_CHANGE="stateChange",ORMMA_EVENT_TILT_CHANGE="tiltChange",ORMMA_EVENT_VIEWABLE_CHANGE="viewableChange",MAPLE_EVENT_CLICK="click",MAPLE_EVENT_VIEWABLEDATA_CHANGE="viewableDataChange",ORMMA_FEATURE_AUDIO="audio",ORMMA_FEATURE_CALENDAR="calendar",ORMMA_FEATURE_CAMERA="camera",ORMMA_FEATURE_EMAIL="email",ORMMA_FEATURE_HEADING="heading",ORMMA_FEATURE_INLINEVIDEO="inlineVideo",ORMMA_FEATURE_LEVEL1="level-1",ORMMA_FEATURE_LEVEL2="level-2",ORMMA_FEATURE_LEVEL3="level-3",ORMMA_FEATURE_LOCATION="location",ORMMA_FEATURE_MAP="map",ORMMA_FEATURE_NETWORK="network",ORMMA_FEATURE_ORIENTATION="orientation",ORMMA_FEATURE_PHONE="phone",ORMMA_FEATURE_SCREEN="screen",ORMMA_FEATURE_SHAKE="shake",ORMMA_FEATURE_SMS="sms",ORMMA_FEATURE_TILT="tilt",ORMMA_FEATURE_VIDEO="video",ORMMA_API_VERSION="1.1.0",MRAID_API_VERSION="1.0",MAPLE_MAX_STATE_DATA_SIZE=65536,ORMMA_PLACEMENTTYPE_INLINE="inline",ORMMA_PLACEMENTTYPE_INTERSTITIAL="interstitial",MSG_TYPE_ADRENDERED="rendered",MSG_TYPE_CLOSE="close",MSG_TYPE_ERROR="error",MSG_TYPE_EXPAND="expand",MSG_TYPE_GETORIENTATION="getorientation",MSG_TYPE_GETTILT="gettilt",MSG_TYPE_HIDE="hide",MSG_TYPE_LISTENER="listener",MSG_TYPE_OPEN="web",MSG_TYPE_REFRESH="refresh",MSG_TYPE_REQUEST="request",MSG_TYPE_RESIZE="resize",MSG_TYPE_SETEXPANDPROPERTIES="setexpandproperties",MSG_TYPE_SETUSERENGAGED="setuserengaged",MSG_TYPE_SHAKE="shake",MSG_TYPE_SHOW="show",MSG_TYPE_TILT="tilt",MSG_TYPE_USECUSTOMCLOSE="usecustomclose",MSG_TYPE_VALUESTART="start",MSG_TYPE_VALUESTOP="stop",MSG_TYPE_VIEWABLECHANGE="viewableChange",MSG_TYPE_VIEWABLEDATACHANGE="viewableDataChange",MSG_TYPE_LOGAPIUSAGE="logapiusage",FUNC_NAME_ADDEVENTLISTENER="addEventListener",FUNC_NAME_REMOVEEVENTLISTENER="removeEventListener",FUNC_NAME_EXPAND="expand",FUNC_NAME_SUPPORTS="supports",FUNC_NAME_GETSIZE="getSize",FUNC_NAME_OPEN="open",FUNC_NAME_CLOSE="close",FUNC_NAME_GETEXPANDPROPERTIES="getExpandProperties",FUNC_NAME_GETPLACEMENTTYPE="getPlacementType",FUNC_NAME_SETEXPANDPROPERTIES="setExpandProperties",FUNC_NAME_USECUSTOMCLOSE="useCustomClose",ADBROKER_PREBID_HEADER_APPID="appId",ADBROKER_PREBID_HEADER_APPGUID="appGuid",ADBROKER_PREBID_HEADER_DOMAIN="domain";(function(){function f(){this.listeners=[]}function n(){}function u(n){return typeof n=="undefined"||n===null||n<=0?!1:!0}function t(n){window.msAdSDK&&typeof window.msAdSDK.notify=="function"?window.msAdSDK.notify(n):window.external.notify(n)}function e(n,t,i){window.maple.app===undefined&&(window.maple.app={});window.maple.app.appId=n;window.maple.app.appGuid=t;window.maple.app.domain=i}function r(t,r){var f,u,o;if(n("raising event "+t+" with data "+r),i.listeners[t]!==null&&typeof i.listeners[t]!="undefined")try{f=i.listeners[t].slice();switch(t){case ORMMA_EVENT_ERROR:for(u=0;u<f.length;u++)f[u](r.message,r.action);break;case ORMMA_EVENT_NETWORK_CHANGE:for(u=0;u<f.length;u++)f[u](r.online,r.connection);break;case ORMMA_EVENT_ORIENTATION_CHANGE:for(u=0;u<f.length;u++)f[u](r);break;case ORMMA_EVENT_READY:for(u=0;u<f.length;u++)f[u]();break;case ORMMA_EVENT_SCREEN_CHANGE:for(u=0;u<f.length;u++)f[u](r.width,r.height);break;case ORMMA_EVENT_SHAKE:for(u=0;u<f.length;u++)f[u]();break;case ORMMA_EVENT_SIZE_CHANGE:for(u=0;u<f.length;u++)f[u](r.width,r.height);break;case ORMMA_EVENT_STATE_CHANGE:for(u=0;u<f.length;u++)f[u](r);break;case ORMMA_EVENT_TILT_CHANGE:for(u=0;u<f.length;u++)f[u](r.x,r.y,r.z);break;case ORMMA_EVENT_VIEWABLE_CHANGE:for(u=0;u<f.length;u++)f[u](r);break;case ORMMA_EVENT_RESPONSE:for(u=0;u<f.length;u++)f[u](unescape(r.url),unescape(r.response));break;case MAPLE_EVENT_CLICK:for(u=0;u<f.length;u++)f[u]();break;case MAPLE_EVENT_VIEWABLEDATA_CHANGE:for(o=JSON.parse(r),e(o[ADBROKER_PREBID_HEADER_APPID],o[ADBROKER_PREBID_HEADER_APPGUID],o[ADBROKER_PREBID_HEADER_DOMAIN]),u=0;u<f.length;u++)f[u](r);break;case ORMMA_EVENT_HEADING_CHANGE:case ORMMA_EVENT_KEYBOARD_CHANGE:case ORMMA_EVENT_LOCATION_CHANGE:default:return!1}}catch(s){n("exception thrown while firing event: "+s.message)}else n("no listeners for event "+t)}var i=new f;window.ORMMA=window.ormma=window.Ormma=window.MAPLE=window.maple=window.Maple={_maxSize:{width:0,height:0},_dimensions:{},_defaultDimensions:{},_screenSize:null,_tiltCapability:!1,_shakeCapability:!1,_expandProperties:{width:0,height:0,useCustomClose:!1,lockOrientation:!1,isModal:!0},_shakeProperties:{},_resizeProperties:{transition:"none"},_placementType:ORMMA_PLACEMENTTYPE_INLINE,_state:ORMMA_STATE_LOADING,_locale:null,_location:null,_orientation:-1,_lastTiltCoords:{x:0,y:0,z:0},_lastNetworkState:ORMMA_STATE_UNKNOWN,_sdkInfo:null,_msOrientationModes:{portaitPrimary:{ieProperty:"portrait-primary",orientationDegrees:0},landscapePrimary:{ieProperty:"landscape-primary",orientationDegrees:270},portaitSecondary:{ieProperty:"portrait-secondary",orientationDegrees:180},landscapeSecondary:{ieProperty:"landscape-secondary",orientationDegrees:90},unknown:{ieProperty:"",orientationDegrees:-1}},addEventListener:function(r,u){if((i.listeners[r]===null||typeof i.listeners[r]=="undefined")&&(i.listeners[r]=[]),r!==ORMMA_EVENT_TILT_CHANGE||this._tiltCapability){if(r===ORMMA_EVENT_SHAKE&&!this._shakeCapability){this._throwError("shake","shake capability is not supported, event listener not added");return}}else{this._throwError("tilt","tilt capability is not supported, event listener not added");return}n("adding listener for "+r);i.listeners[r].push(u);r===ORMMA_EVENT_TILT_CHANGE?t(MSG_TYPE_TILT+":"+MSG_TYPE_LISTENER+"="+MSG_TYPE_VALUESTART):r===ORMMA_EVENT_SHAKE?t(MSG_TYPE_SHAKE+":"+MSG_TYPE_LISTENER+"="+MSG_TYPE_VALUESTART):r===ORMMA_EVENT_ORIENTATION_CHANGE?t(MSG_TYPE_GETORIENTATION+":"+MSG_TYPE_LISTENER+"="+MSG_TYPE_VALUESTART):r===ORMMA_EVENT_VIEWABLE_CHANGE?t(MSG_TYPE_VIEWABLECHANGE+":"+MSG_TYPE_LISTENER+"="+MSG_TYPE_VALUESTART):r===MAPLE_EVENT_VIEWABLEDATA_CHANGE&&t(MSG_TYPE_VIEWABLEDATACHANGE+":"+MSG_TYPE_LISTENER+"="+MSG_TYPE_VALUESTART)},removeEventListener:function(r,u){if(n("removing listener for "+r),i.listeners[r]!==null&&typeof i.listeners[r]!="undefined"){if(u===undefined||u===null||u==="")i.listeners[r].length=0;else for(var e=i.listeners[r],f=0;f<e.length;f++)if(e[f]===u){e.splice(f,1);break}if(i.listeners[r]===null||typeof i.listeners[r]=="undefined"||i.listeners[r].length===0)if(r===ORMMA_EVENT_TILT_CHANGE){if(!this._tiltCapability){this._throwError("tilt","tilt capability is not supported, no event listener");return}n("stopping tilt device for event: "+r+" (no more client listeners)");t(MSG_TYPE_TILT+":"+MSG_TYPE_LISTENER+"="+MSG_TYPE_VALUESTOP)}else if(r===ORMMA_EVENT_SHAKE){if(!this._shakeCapability){this._throwError("shake","shake capability is not supported, no event listener");return}n("stopping shake device for event: "+r+" (no more client listeners)");t(MSG_TYPE_SHAKE+":"+MSG_TYPE_LISTENER+"="+MSG_TYPE_VALUESTOP)}else r===ORMMA_EVENT_ORIENTATION_CHANGE?(n("stopping orientation changed event: "+r+" (no more client listeners)"),t(MSG_TYPE_GETORIENTATION+":"+MSG_TYPE_LISTENER+"="+MSG_TYPE_VALUESTOP)):r===ORMMA_EVENT_VIEWABLE_CHANGE?(n("stopping viewable changed event: "+r+" (no more client listeners)"),t(MSG_TYPE_VIEWABLECHANGE+":"+MSG_TYPE_LISTENER+"="+MSG_TYPE_VALUESTOP)):r===MAPLE_EVENT_CLICK?n("stopping clickEvent : "+r+" (no more client listeners)"):r===MAPLE_EVENT_VIEWABLEDATA_CHANGE&&(n("stopping viewable data changed event: "+r+" (no more client listeners)"),t(MSG_TYPE_VIEWABLEDATACHANGE+":"+MSG_TYPE_LISTENER+"="+MSG_TYPE_VALUESTOP))}},close:function(){n("sending close request");t(MSG_TYPE_CLOSE)},expand:function(i,r){var u,f;if((typeof i=="undefined"||i===null)&&(i=""),!(this._state===ORMMA_STATE_DEFAULT||this._state===ORMMA_STATE_RESIZED)){reportError(FUNC_NAME_EXPAND,"can only expand from resized or default states");return}(typeof r=="undefined"||r===null)&&(r=!0);typeof this._expandProperties=="object"&&(u=JSON.stringify(this._expandProperties),t(MSG_TYPE_SETEXPANDPROPERTIES+":"+u));n("sending expand request");f={url:i,islegacy:r};t(MSG_TYPE_EXPAND+":"+JSON.stringify(f))},getDefaultPosition:function(){return this._defaultDimensions},getExpandProperties:function(){return this._expandProperties?this._expandProperties:Ormma._expandProperties},getNetwork:function(){return this._lastNetworkState},getOrientation:function(){var n=this._msOrientationToOrmmaDegrees(window.screen.msOrientation);return this._orientation=this._orientation===n?this._orientation:n,this._orientation},getPlacementType:function(){return this._placementType},getScreenSize:function(){return this._screenSize===null&&(this._screenSize={width:screen.availWidth,height:screen.availHeight}),this._screenSize},getShakeProperties:function(){return this._shakeProperties},getSize:function(){return typeof this._dimensions=="undefined"&&(this._dimensions={}),this._dimensions},getState:function(){return this._state},getTilt:function(){if(n("calling getTilt"),!this._tiltCapability){this._throwError("tilt","tilt capability is not supported");return}return t(MSG_TYPE_TILT+":"+MSG_TYPE_GETTILT+"="+MSG_TYPE_REFRESH),this._lastTiltCoords},getVersion:function(){return ORMMA_API_VERSION},hide:function(){n("calling hide");t(MSG_TYPE_HIDE)},isViewable:function(){n("[not impl] isViewable called")},open:function(i){n("sending website request: "+i);var r=JSON.stringify({url:i});t(MSG_TYPE_OPEN+":"+r)},request:function(n,i){var r={url:n,display:typeof i!="undefined"&&i!==null?i:"ignore"},u=JSON.stringify(r);return t(MSG_TYPE_REQUEST+":"+u),!1},resize:function(i,r){if(i>this._maxSize.width||i<0){this._throwError("resize","width is greater than max allowed width ("+this._maxSize.width+") or less than zero.");return}if(r>this._maxSize.height||r<0){this._throwError("resize","height is greater than max allowed height  ("+this._maxSize.height+") or less than zero.");return}n("calling resize:width="+i+"&height="+r);var u={width:i,height:r};t(MSG_TYPE_RESIZE+":"+JSON.stringify(u))},setExpandProperties:function(i){var r,f;this._expandProperties=typeof i!="object"?{}:i;r=typeof this.getScreenSize=="function"?this.getScreenSize():window.ormma.getScreenSize();this._expandProperties.width=u(this._expandProperties.width)&&this._expandProperties.width<r.width?this._expandProperties.width:r.width;this._expandProperties.height=u(this._expandProperties.height)&&this._expandProperties.height<r.height?this._expandProperties.height:r.height;this._expandProperties.useCustomClose=typeof this._expandProperties.useCustomClose=="undefined"?!1:this._expandProperties.useCustomClose;this._expandProperties.lockOrientation=typeof this._expandProperties.lockOrientation=="undefined"?!1:this._expandProperties.lockOrientation;this._expandProperties.isModal=!0;f=JSON.stringify(this._expandProperties);n("setting expand properties: "+f);t(MSG_TYPE_SETEXPANDPROPERTIES+":"+f)},setShakeProperties:function(t){this._shakeProperties=typeof t!="object"?{}:t;var i=JSON.stringify(this._shakeProperties);n("setting shake properties: "+i)},show:function(){n("calling show");t(MSG_TYPE_SHOW)},supports:function(n){switch(n){case ORMMA_FEATURE_SCREEN:case ORMMA_FEATURE_ORIENTATION:case ORMMA_FEATURE_LEVEL1:case ORMMA_FEATURE_LEVEL2:case ORMMA_FEATURE_NETWORK:case ORMMA_FEATURE_INLINEVIDEO:return!0;case ORMMA_FEATURE_SHAKE:return this._shakeCapability;case ORMMA_FEATURE_TILT:return this._tiltCapability;case ORMMA_FEATURE_PHONE:case ORMMA_FEATURE_SMS:case ORMMA_FEATURE_EMAIL:case ORMMA_FEATURE_LOCATION:case ORMMA_FEATURE_HEADING:case ORMMA_FEATURE_CALENDAR:case ORMMA_FEATURE_AUDIO:case ORMMA_FEATURE_VIDEO:case ORMMA_FEATURE_LEVEL3:default:return!1}},useCustomClose:function(i){typeof i=="boolean"?(n("calling usecustomclose:"+i),typeof this._expandProperties=="object"&&(this._expandProperties.useCustomClose=i),t(MSG_TYPE_USECUSTOMCLOSE+":"+i)):reportError("useCustomClose","parameter 'flag' is not a boolean value")},adAnchorReady:function(){var n=document.getElementById("msMainAdDiv");n!==null&&(n.style.visibility="visible");t(MSG_TYPE_ADRENDERED)},adError:function(n,i){var r,u,f;r=typeof n=="string"&&n!==null?n:"unknown action";u=typeof i=="string"&&i!==null?i:"an unknown error occurred.";f=JSON.stringify({action:r,message:u});t(MSG_TYPE_ERROR+":"+f)},getLocale:function(){if(this._locale!==null)return this._locale},getSdkVersion:function(){if(this._sdkInfo!==null)return this._sdkInfo},hasListenerForClickEvent:function(){return typeof i.listeners[MAPLE_EVENT_CLICK]!="undefined"&&i.listeners[MAPLE_EVENT_CLICK]!==null&&i.listeners[MAPLE_EVENT_CLICK].length>0?!0:!1},setUserEngaged:function(i){this._isUserEngaged=typeof i=="boolean"?i:!1;n("setting user engaged: "+this._isUserEngaged);t(MSG_TYPE_SETUSERENGAGED+":engaged="+this._isUserEngaged)},_clicked:function(){r(MAPLE_EVENT_CLICK,null)},_tiltChange:function(n){this._lastTiltCoords=n;r(ORMMA_EVENT_TILT_CHANGE,n)},_shake:function(){r(ORMMA_EVENT_SHAKE)},_viewableChange:function(n){window.mraid._isViewable=n;r(ORMMA_EVENT_VIEWABLE_CHANGE,n)},_viewableDataChange:function(n){r(MAPLE_EVENT_VIEWABLEDATA_CHANGE,n)},_sendResponse:function(n){r(ORMMA_EVENT_RESPONSE,n)},_throwError:function(n,t){var i={message:t,action:n};r(ORMMA_EVENT_ERROR,i)},_init:function(){n("Ormma is ready");this._state==ORMMA_STATE_LOADING&&Ormma._setState(ORMMA_STATE_DEFAULT);r(ORMMA_EVENT_READY,null);typeof window.ORMMAReady=="function"&&(n("Ormma calling ORMMAReady()"),window.ORMMAReady())},_setOrientation:function(n){var t=this._orientation;this._orientation=n;t!==this._orientation&&r(ORMMA_EVENT_ORIENTATION_CHANGE,this._orientation)},_setPlacementType:function(n){n===ORMMA_PLACEMENTTYPE_INLINE?this._placementType=n:n===ORMMA_PLACEMENTTYPE_INTERSTITIAL&&(this._placementType=n)},_setState:function(n){var t=this._state;this._state=n;t!==n&&r(ORMMA_EVENT_STATE_CHANGE,this._state)},_setLocale:function(n){this._locale=n},_setSize:function(n,t){typeof this._dimensions=="undefined"&&(this._dimensions={});var i=typeof this._dimensions.width=="undefined"?0:this._dimensions.width,u=typeof this._dimensions.height=="undefined"?0:this._dimensions.height;this._dimensions.width=n;this._dimensions.height=t;(i!==n||u!==t)&&r(ORMMA_EVENT_SIZE_CHANGE,this._dimensions)},_setSdkVersion:function(n,t,i){this._sdkInfo={sdkVersion:n,client:t,runtimeType:i,appName:navigator.appName,appVersion:navigator.appVersion,userAgent:navigator.userAgent,platform:navigator.platform}},_setCapability:function(n,t){typeof t=="boolean"&&(n===ORMMA_FEATURE_TILT?this._tiltCapability=t:n===ORMMA_FEATURE_SHAKE&&(this._shakeCapability=t))},_setMaxSize:function(n,t){typeof this._maxSize=="undefined"&&(this._maxSize={});this._maxSize.width=n;this._maxSize.height=t},_setScreenSize:function(n,t){(this._screenSize===null||typeof this._screenSize=="undefined")&&(this._screenSize={});var i=typeof this._screenSize.width=="undefined"?0:this._screenSize.width,u=typeof this._screenSize.height=="undefined"?0:this._screenSize.height;this._screenSize.width=n;this._screenSize.height=t;this._expandProperties.width===i&&(this._expandProperties.width=n);this._expandProperties.height===u&&(this._expandProperties.height=t);this.setExpandProperties(this._expandProperties);(i!==this._screenSize.width||u!==this._screenSize.height)&&r(ORMMA_EVENT_SCREEN_CHANGE,this._screenSize)},_setNetwork:function(t){n("setting network state: "+t);typeof this._lastNetworkState=="undefined"&&(this._lastNetworkState="");t!==this._lastNetworkState&&(this._lastNetworkState=t,r(ORMMA_EVENT_NETWORK_CHANGE,{online:t!=="offline",connection:t}))},_msOrientationToOrmmaDegrees:function(n){switch(n){case this._msOrientationModes.landscapePrimary.ieProperty:return this._msOrientationModes.landscapePrimary.orientationDegrees;case this._msOrientationModes.landscapeSecondary.ieProperty:return this._msOrientationModes.landscapeSecondary.orientationDegrees;case this._msOrientationModes.portaitSecondary.ieProperty:return this._msOrientationModes.portaitSecondary.orientationDegrees;case this._msOrientationModes.portaitPrimary.ieProperty:return this._msOrientationModes.portaitPrimary.orientationDegrees;default:return this._msOrientationModes.unknown.orientationDegrees}}};window.mraid=window.MRAID=window.Mraid={_isViewable:!1,addEventListener:function(n,t){this._mraidSupportedEvts===null&&(this._mraidSupportedEvts=this._initEventList());this._mraidSupportedEvts[n]&&window.ormma.addEventListener(n,t)},removeEventListener:function(n,t){this._mraidSupportedEvts===null&&(this._mraidSupportedEvts=this._initEventList());this._mraidSupportedEvts[n]&&window.ormma.removeEventListener(n,t)},expand:function(n){Object.getOwnPropertyNames(this);window.ormma.expand(n,!1)},getState:function(){return window.ormma._state},getVersion:function(){return MRAID_API_VERSION},isViewable:function(){return window.mraid._isViewable},_mraidSupportedEvts:null,_initEventList:function(){var n=[];return n[ORMMA_EVENT_ERROR]=n[ORMMA_EVENT_READY]=n[ORMMA_EVENT_STATE_CHANGE]=n[MAPLE_EVENT_VIEWABLEDATA_CHANGE]=n[ORMMA_EVENT_VIEWABLE_CHANGE]=!0,n},supports:function(n){return window.ormma.supports(n)},getSize:function(){return window.ormma.getSize()},open:function(n){return window.ormma.open(n)},close:function(){return window.ormma.close()},getExpandProperties:function(){return window.ormma.getExpandProperties()},getPlacementType:function(){return window.ormma.getPlacementType()},setExpandProperties:function(n){return window.ormma.setExpandProperties(n)},useCustomClose:function(n){return window.ormma.useCustomClose(n)}}})();
// SIG // Begin signature block
// SIG // MIIdjAYJKoZIhvcNAQcCoIIdfTCCHXkCAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFEqw6Bvi5lbB
// SIG // FnJ8SxgVmwvymbRRoIIYajCCBNowggPCoAMCAQICEzMA
// SIG // AADwAmRKCxy6JScAAAAAAPAwDQYJKoZIhvcNAQEFBQAw
// SIG // dzELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0
// SIG // b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1p
// SIG // Y3Jvc29mdCBDb3Jwb3JhdGlvbjEhMB8GA1UEAxMYTWlj
// SIG // cm9zb2Z0IFRpbWUtU3RhbXAgUENBMB4XDTE4MDgyMzIw
// SIG // MTk1MFoXDTE5MTEyMzIwMTk1MFowgcoxCzAJBgNVBAYT
// SIG // AlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQH
// SIG // EwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29y
// SIG // cG9yYXRpb24xJTAjBgNVBAsTHE1pY3Jvc29mdCBBbWVy
// SIG // aWNhIE9wZXJhdGlvbnMxJjAkBgNVBAsTHVRoYWxlcyBU
// SIG // U1MgRVNOOjIxMzctMzdBMC00QUFBMSUwIwYDVQQDExxN
// SIG // aWNyb3NvZnQgVGltZS1TdGFtcCBTZXJ2aWNlMIIBIjAN
// SIG // BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEArQubv4JO
// SIG // URdAsKGn8MZJ17LjmmKy3PC5xllPHR4r0CFocJ/vRfrA
// SIG // 8N8rpYch3HOopln9+ztoFON5edZrZ88c4cOPlUhv8U+N
// SIG // 2v62+eZofu6R59gJ8rvomcjiIYapY80L8SWGbqz9MZ/1
// SIG // myyy+AhyYBjPrPB22tJANNh9A+2tJvHHk2Oyh4qI9MD8
// SIG // dErjOKh4cgRs5uNRm658X8MzPmI5I6P3xnSWlBqePo/S
// SIG // h/uh4opfEQPRhhEl3l6J5207V02xvc7Uat5/gkpJIm7v
// SIG // ucyLdZ/wMRSeVwI44TeIOZ4mzObopIvJN6O4ro52I2IL
// SIG // aDFyxVRCZmSL+ncGJ3kDBhO4lQIDAQABo4IBCTCCAQUw
// SIG // HQYDVR0OBBYEFGil3ZqkwGlLMFuIAztctw7xt0hdMB8G
// SIG // A1UdIwQYMBaAFCM0+NlSRnAK7UD7dvuzK7DDNbMPMFQG
// SIG // A1UdHwRNMEswSaBHoEWGQ2h0dHA6Ly9jcmwubWljcm9z
// SIG // b2Z0LmNvbS9wa2kvY3JsL3Byb2R1Y3RzL01pY3Jvc29m
// SIG // dFRpbWVTdGFtcFBDQS5jcmwwWAYIKwYBBQUHAQEETDBK
// SIG // MEgGCCsGAQUFBzAChjxodHRwOi8vd3d3Lm1pY3Jvc29m
// SIG // dC5jb20vcGtpL2NlcnRzL01pY3Jvc29mdFRpbWVTdGFt
// SIG // cFBDQS5jcnQwEwYDVR0lBAwwCgYIKwYBBQUHAwgwDQYJ
// SIG // KoZIhvcNAQEFBQADggEBAHP1LWoWJkeIT58eZN0Ykg23
// SIG // x7AsbiPUsHatR7o8jEhCPOB/410Z7dxHHuZwdDJmMI8T
// SIG // 6HSmlkXeyXXLbZcUTnTaxW+L0xkXIKfeaDBchFGn8691
// SIG // WzEeZr+bjyLojncx2QpFn11V0ee/QjIm4OJX+qB4uANh
// SIG // NTDMdQYF23kPA679Pt01Q4X29HiXLnL5SB6UNCg0lTRH
// SIG // z9WtmAHtd1JYS019tpdzbsQCOL9gPOX1ZqjHI17ycbyY
// SIG // pnB/FQyfoIKIamCLuZPXL2hp3Pf7TGfCpO9n6lIg+CmT
// SIG // MyinwjIwgZjdHoodKTlMMpyRFdqOcBY80Zoi8vAV2XQA
// SIG // 3kZEu3M3XZowggX/MIID56ADAgECAhMzAAABA14lHJkf
// SIG // ox64AAAAAAEDMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNV
// SIG // BAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYD
// SIG // VQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQg
// SIG // Q29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBD
// SIG // b2RlIFNpZ25pbmcgUENBIDIwMTEwHhcNMTgwNzEyMjAw
// SIG // ODQ4WhcNMTkwNzI2MjAwODQ4WjB0MQswCQYDVQQGEwJV
// SIG // UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
// SIG // UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBv
// SIG // cmF0aW9uMR4wHAYDVQQDExVNaWNyb3NvZnQgQ29ycG9y
// SIG // YXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEK
// SIG // AoIBAQDRlHY25oarNv5p+UZ8i4hQy5Bwf7BVqSQdfjnn
// SIG // BZ8PrHuXss5zCvvUmyRcFrU53Rt+M2wR/Dsm85iqXVNr
// SIG // qsPsE7jS789Xf8xly69NLjKxVitONAeJ/mkhvT5E+94S
// SIG // nYW/fHaGfXKxdpth5opkTEbOttU6jHeTd2chnLZaBl5H
// SIG // hvU80QnKDT3NsumhUHjRhIjiATwi/K+WCMxdmcDt66Va
// SIG // mJL1yEBOanOv3uN0etNfRpe84mcod5mswQ4xFo8ADwH+
// SIG // S15UD8rEZT8K46NG2/YsAzoZvmgFFpzmfzS/p4eNZTkm
// SIG // yWPU78XdvSX+/Sj0NIZ5rCrVXzCRO+QUauuxygQjAgMB
// SIG // AAGjggF+MIIBejAfBgNVHSUEGDAWBgorBgEEAYI3TAgB
// SIG // BggrBgEFBQcDAzAdBgNVHQ4EFgQUR77Ay+GmP/1l1jjy
// SIG // A123r3f3QP8wUAYDVR0RBEkwR6RFMEMxKTAnBgNVBAsT
// SIG // IE1pY3Jvc29mdCBPcGVyYXRpb25zIFB1ZXJ0byBSaWNv
// SIG // MRYwFAYDVQQFEw0yMzAwMTIrNDM3OTY1MB8GA1UdIwQY
// SIG // MBaAFEhuZOVQBdOCqhc3NyK1bajKdQKVMFQGA1UdHwRN
// SIG // MEswSaBHoEWGQ2h0dHA6Ly93d3cubWljcm9zb2Z0LmNv
// SIG // bS9wa2lvcHMvY3JsL01pY0NvZFNpZ1BDQTIwMTFfMjAx
// SIG // MS0wNy0wOC5jcmwwYQYIKwYBBQUHAQEEVTBTMFEGCCsG
// SIG // AQUFBzAChkVodHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20v
// SIG // cGtpb3BzL2NlcnRzL01pY0NvZFNpZ1BDQTIwMTFfMjAx
// SIG // MS0wNy0wOC5jcnQwDAYDVR0TAQH/BAIwADANBgkqhkiG
// SIG // 9w0BAQsFAAOCAgEAn/XJUw0/DSbsokTYDdGfY5YGSz8e
// SIG // XMUzo6TDbK8fwAG662XsnjMQD6esW9S9kGEX5zHnwya0
// SIG // rPUn00iThoj+EjWRZCLRay07qCwVlCnSN5bmNf8MzsgG
// SIG // FhaeJLHiOfluDnjYDBu2KWAndjQkm925l3XLATutghIW
// SIG // IoCJFYS7mFAgsBcmhkmvzn1FFUM0ls+BXBgs1JPyZ6vi
// SIG // c8g9o838Mh5gHOmwGzD7LLsHLpaEk0UoVFzNlv2g24HY
// SIG // tjDKQ7HzSMCyRhxdXnYqWJ/U7vL0+khMtWGLsIxB6aq4
// SIG // nZD0/2pCD7k+6Q7slPyNgLt44yOneFuybR/5WcF9ttE5
// SIG // yXnggxxgCto9sNHtNr9FB+kbNm7lPTsFA6fUpyUSj+Z2
// SIG // oxOzRVpDMYLa2ISuubAfdfX2HX1RETcn6LU1hHH3V6qu
// SIG // +olxyZjSnlpkdr6Mw30VapHxFPTy2TUxuNty+rR1yIib
// SIG // ar+YRcdmstf/zpKQdeTr5obSyBvbJ8BblW9Jb1hdaSre
// SIG // U0v46Mp79mwV+QMZDxGFqk+av6pX3WDG9XEg9FGomsrp
// SIG // 0es0Rz11+iLsVT9qGTlrEOlaP470I3gwsvKmOMs1jaqY
// SIG // WSRAuDpnpAdfoP7YO0kT+wzh7Qttg1DO8H8+4NkI6Iwh
// SIG // SkHC3uuOW+4Dwx1ubuZUNWZncnwa6lL2IsRyP64wggYH
// SIG // MIID76ADAgECAgphFmg0AAAAAAAcMA0GCSqGSIb3DQEB
// SIG // BQUAMF8xEzARBgoJkiaJk/IsZAEZFgNjb20xGTAXBgoJ
// SIG // kiaJk/IsZAEZFgltaWNyb3NvZnQxLTArBgNVBAMTJE1p
// SIG // Y3Jvc29mdCBSb290IENlcnRpZmljYXRlIEF1dGhvcml0
// SIG // eTAeFw0wNzA0MDMxMjUzMDlaFw0yMTA0MDMxMzAzMDla
// SIG // MHcxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5n
// SIG // dG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
// SIG // aWNyb3NvZnQgQ29ycG9yYXRpb24xITAfBgNVBAMTGE1p
// SIG // Y3Jvc29mdCBUaW1lLVN0YW1wIFBDQTCCASIwDQYJKoZI
// SIG // hvcNAQEBBQADggEPADCCAQoCggEBAJ+hbLHf20iSKnxr
// SIG // LhnhveLjxZlRI1Ctzt0YTiQP7tGn0UytdDAgEesH1VSV
// SIG // FUmUG0KSrphcMCbaAGvoe73siQcP9w4EmPCJzB/LMySH
// SIG // nfL0Zxws/HvniB3q506jocEjU8qN+kXPCdBer9CwQgSi
// SIG // +aZsk2fXKNxGU7CG0OUoRi4nrIZPVVIM5AMs+2qQkDBu
// SIG // h/NZMJ36ftaXs+ghl3740hPzCLdTbVK0RZCfSABKR2YR
// SIG // JylmqJfk0waBSqL5hKcRRxQJgp+E7VV4/gGaHVAIhQAQ
// SIG // MEbtt94jRrvELVSfrx54QTF3zJvfO4OToWECtR0Nsfz3
// SIG // m7IBziJLVP/5BcPCIAsCAwEAAaOCAaswggGnMA8GA1Ud
// SIG // EwEB/wQFMAMBAf8wHQYDVR0OBBYEFCM0+NlSRnAK7UD7
// SIG // dvuzK7DDNbMPMAsGA1UdDwQEAwIBhjAQBgkrBgEEAYI3
// SIG // FQEEAwIBADCBmAYDVR0jBIGQMIGNgBQOrIJgQFYnl+Ul
// SIG // E/wq4QpTlVnkpKFjpGEwXzETMBEGCgmSJomT8ixkARkW
// SIG // A2NvbTEZMBcGCgmSJomT8ixkARkWCW1pY3Jvc29mdDEt
// SIG // MCsGA1UEAxMkTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNh
// SIG // dGUgQXV0aG9yaXR5ghB5rRahSqClrUxzWPQHEy5lMFAG
// SIG // A1UdHwRJMEcwRaBDoEGGP2h0dHA6Ly9jcmwubWljcm9z
// SIG // b2Z0LmNvbS9wa2kvY3JsL3Byb2R1Y3RzL21pY3Jvc29m
// SIG // dHJvb3RjZXJ0LmNybDBUBggrBgEFBQcBAQRIMEYwRAYI
// SIG // KwYBBQUHMAKGOGh0dHA6Ly93d3cubWljcm9zb2Z0LmNv
// SIG // bS9wa2kvY2VydHMvTWljcm9zb2Z0Um9vdENlcnQuY3J0
// SIG // MBMGA1UdJQQMMAoGCCsGAQUFBwMIMA0GCSqGSIb3DQEB
// SIG // BQUAA4ICAQAQl4rDXANENt3ptK132855UU0BsS50cVtt
// SIG // DBOrzr57j7gu1BKijG1iuFcCy04gE1CZ3XpA4le7r1ia
// SIG // HOEdAYasu3jyi9DsOwHu4r6PCgXIjUji8FMV3U+rkuTn
// SIG // jWrVgMHmlPIGL4UD6ZEqJCJw+/b85HiZLg33B+JwvBhO
// SIG // nY5rCnKVuKE5nGctxVEO6mJcPxaYiyA/4gcaMvnMMUp2
// SIG // MT0rcgvI6nA9/4UKE9/CCmGO8Ne4F+tOi3/FNSteo7/r
// SIG // vH0LQnvUU3Ih7jDKu3hlXFsBFwoUDtLaFJj1PLlmWLMt
// SIG // L+f5hYbMUVbonXCUbKw5TNT2eb+qGHpiKe+imyk0Bnca
// SIG // Ysk9Hm0fgvALxyy7z0Oz5fnsfbXjpKh0NbhOxXEjEiZ2
// SIG // CzxSjHFaRkMUvLOzsE1nyJ9C/4B5IYCeFTBm6EISXhrI
// SIG // niIh0EPpK+m79EjMLNTYMoBMJipIJF9a6lbvpt6Znco6
// SIG // b72BJ3QGEe52Ib+bgsEnVLaxaj2JoXZhtG6hE6a/qkfw
// SIG // Em/9ijJssv7fUciMI8lmvZ0dhxJkAj0tr1mPuOQh5bWw
// SIG // ymO0eFQF1EEuUKyUsKV4q7OglnUa2ZKHE3UiLzKoCG6g
// SIG // W4wlv6DvhMoh1useT8ma7kng9wFlb4kLfchpyOZu6qeX
// SIG // zjEp/w7FW1zYTRuh2Povnj8uVRZryROj/TCCB3owggVi
// SIG // oAMCAQICCmEOkNIAAAAAAAMwDQYJKoZIhvcNAQELBQAw
// SIG // gYgxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5n
// SIG // dG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
// SIG // aWNyb3NvZnQgQ29ycG9yYXRpb24xMjAwBgNVBAMTKU1p
// SIG // Y3Jvc29mdCBSb290IENlcnRpZmljYXRlIEF1dGhvcml0
// SIG // eSAyMDExMB4XDTExMDcwODIwNTkwOVoXDTI2MDcwODIx
// SIG // MDkwOVowfjELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldh
// SIG // c2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNV
// SIG // BAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEoMCYGA1UE
// SIG // AxMfTWljcm9zb2Z0IENvZGUgU2lnbmluZyBQQ0EgMjAx
// SIG // MTCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIB
// SIG // AKvw+nIQHC6t2G6qghBNNLrytlghn0IbKmvpWlCquAY4
// SIG // GgRJun/DDB7dN2vGEtgL8DjCmQawyDnVARQxQtOJDXlk
// SIG // h36UYCRsr55JnOloXtLfm1OyCizDr9mpK656Ca/XllnK
// SIG // YBoF6WZ26DJSJhIv56sIUM+zRLdd2MQuA3WraPPLbfM6
// SIG // XKEW9Ea64DhkrG5kNXimoGMPLdNAk/jj3gcN1Vx5pUkp
// SIG // 5w2+oBN3vpQ97/vjK1oQH01WKKJ6cuASOrdJXtjt7UOR
// SIG // g9l7snuGG9k+sYxd6IlPhBryoS9Z5JA7La4zWMW3Pv4y
// SIG // 07MDPbGyr5I4ftKdgCz1TlaRITUlwzluZH9TupwPrRkj
// SIG // hMv0ugOGjfdf8NBSv4yUh7zAIXQlXxgotswnKDglmDlK
// SIG // Ns98sZKuHCOnqWbsYR9q4ShJnV+I4iVd0yFLPlLEtVc/
// SIG // JAPw0XpbL9Uj43BdD1FGd7P4AOG8rAKCX9vAFbO9G9RV
// SIG // S+c5oQ/pI0m8GLhEfEXkwcNyeuBy5yTfv0aZxe/CHFfb
// SIG // g43sTUkwp6uO3+xbn6/83bBm4sGXgXvt1u1L50kppxMo
// SIG // pqd9Z4DmimJ4X7IvhNdXnFy/dygo8e1twyiPLI9AN0/B
// SIG // 4YVEicQJTMXUpUMvdJX3bvh4IFgsE11glZo+TzOE2rCI
// SIG // F96eTvSWsLxGoGyY0uDWiIwLAgMBAAGjggHtMIIB6TAQ
// SIG // BgkrBgEEAYI3FQEEAwIBADAdBgNVHQ4EFgQUSG5k5VAF
// SIG // 04KqFzc3IrVtqMp1ApUwGQYJKwYBBAGCNxQCBAweCgBT
// SIG // AHUAYgBDAEEwCwYDVR0PBAQDAgGGMA8GA1UdEwEB/wQF
// SIG // MAMBAf8wHwYDVR0jBBgwFoAUci06AjGQQ7kUBU7h6qfH
// SIG // MdEjiTQwWgYDVR0fBFMwUTBPoE2gS4ZJaHR0cDovL2Ny
// SIG // bC5taWNyb3NvZnQuY29tL3BraS9jcmwvcHJvZHVjdHMv
// SIG // TWljUm9vQ2VyQXV0MjAxMV8yMDExXzAzXzIyLmNybDBe
// SIG // BggrBgEFBQcBAQRSMFAwTgYIKwYBBQUHMAKGQmh0dHA6
// SIG // Ly93d3cubWljcm9zb2Z0LmNvbS9wa2kvY2VydHMvTWlj
// SIG // Um9vQ2VyQXV0MjAxMV8yMDExXzAzXzIyLmNydDCBnwYD
// SIG // VR0gBIGXMIGUMIGRBgkrBgEEAYI3LgMwgYMwPwYIKwYB
// SIG // BQUHAgEWM2h0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9w
// SIG // a2lvcHMvZG9jcy9wcmltYXJ5Y3BzLmh0bTBABggrBgEF
// SIG // BQcCAjA0HjIgHQBMAGUAZwBhAGwAXwBwAG8AbABpAGMA
// SIG // eQBfAHMAdABhAHQAZQBtAGUAbgB0AC4gHTANBgkqhkiG
// SIG // 9w0BAQsFAAOCAgEAZ/KGpZjgVHkaLtPYdGcimwuWEeFj
// SIG // kplCln3SeQyQwWVfLiw++MNy0W2D/r4/6ArKO79HqaPz
// SIG // adtjvyI1pZddZYSQfYtGUFXYDJJ80hpLHPM8QotS0LD9
// SIG // a+M+By4pm+Y9G6XUtR13lDni6WTJRD14eiPzE32mkHSD
// SIG // jfTLJgJGKsKKELukqQUMm+1o+mgulaAqPyprWEljHwlp
// SIG // blqYluSD9MCP80Yr3vw70L01724lruWvJ+3Q3fMOr5ko
// SIG // l5hNDj0L8giJ1h/DMhji8MUtzluetEk5CsYKwsatruWy
// SIG // 2dsViFFFWDgycScaf7H0J/jeLDogaZiyWYlobm+nt3TD
// SIG // QAUGpgEqKD6CPxNNZgvAs0314Y9/HG8VfUWnduVAKmWj
// SIG // w11SYobDHWM2l4bf2vP48hahmifhzaWX0O5dY0HjWwec
// SIG // hz4GdwbRBrF1HxS+YWG18NzGGwS+30HHDiju3mUv7Jf2
// SIG // oVyW2ADWoUa9WfOXpQlLSBCZgB/QACnFsZulP0V3HjXG
// SIG // 0qKin3p6IvpIlR+r+0cjgPWe+L9rt0uX4ut1eBrs6jeZ
// SIG // eRhL/9azI2h15q/6/IvrC4DqaTuv/DDtBEyO3991bWOR
// SIG // PdGdVk5Pv4BXIqF4ETIheu9BCrE/+6jMpF3BoYibV3FW
// SIG // TkhFwELJm3ZbCoBIa/15n8G9bW1qyVJzEw16UM0xggSO
// SIG // MIIEigIBATCBlTB+MQswCQYDVQQGEwJVUzETMBEGA1UE
// SIG // CBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEe
// SIG // MBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgw
// SIG // JgYDVQQDEx9NaWNyb3NvZnQgQ29kZSBTaWduaW5nIFBD
// SIG // QSAyMDExAhMzAAABA14lHJkfox64AAAAAAEDMAkGBSsO
// SIG // AwIaBQCggaIwGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcC
// SIG // AQQwHAYKKwYBBAGCNwIBCzEOMAwGCisGAQQBgjcCARUw
// SIG // IwYJKoZIhvcNAQkEMRYEFDkfLbxvvbAVLbrQHy8h1224
// SIG // PzSKMEIGCisGAQQBgjcCAQwxNDAyoBSAEgBNAGkAYwBy
// SIG // AG8AcwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29m
// SIG // dC5jb20wDQYJKoZIhvcNAQEBBQAEggEAxrObwGpldJHk
// SIG // LY6VKlXwK3D3w0kOR8Csm2/xyOiN5U86IRxSlbtsj2UZ
// SIG // rxtImzBzSee98jqpRxkdSNgInFpg694MyYJyVCJ7HUNf
// SIG // dl1dND/CHe5E1NRW+Oty96BSuZSbU/eDSIZqbH2EPgS+
// SIG // wA1HkH9ruiZAsqrcOY7Xa9w51/KTu98egvZyK1Bfjw1F
// SIG // MmUnIYfmQi/es7hXN+WmnCeJtxdPQF/Z4grzAJK5pqqy
// SIG // FcgFcQhUHR2nywPbSvd+5PtJ3okreHIgIrqj/RE8IZLi
// SIG // owVVdps/czdBpsm566BUkCuHIsE/M3FUvK63abdQEhCM
// SIG // bk3Q9crVD4ZFoGqhU2MTzKGCAigwggIkBgkqhkiG9w0B
// SIG // CQYxggIVMIICEQIBATCBjjB3MQswCQYDVQQGEwJVUzET
// SIG // MBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVk
// SIG // bW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0
// SIG // aW9uMSEwHwYDVQQDExhNaWNyb3NvZnQgVGltZS1TdGFt
// SIG // cCBQQ0ECEzMAAADwAmRKCxy6JScAAAAAAPAwCQYFKw4D
// SIG // AhoFAKBdMBgGCSqGSIb3DQEJAzELBgkqhkiG9w0BBwEw
// SIG // HAYJKoZIhvcNAQkFMQ8XDTE4MTEyMzA0MTAxMFowIwYJ
// SIG // KoZIhvcNAQkEMRYEFLF9AgN7InPTMKYc1wfTUA45ZqHo
// SIG // MA0GCSqGSIb3DQEBBQUABIIBACiTeDdAnOdJBfHysh0C
// SIG // 4Qr6QIL6DWnNsc0Uc3eDv9ytIVV3qkF6ylMaNQGgHxCK
// SIG // SwG+8kxek+IaA85tmFbinThA4ZXsEbOAnj+PP6PSmpQL
// SIG // DCl9bpJEhc1VlENBUVoDAUcmqZw3Hp90Xptk8lZLc/7T
// SIG // 8ApM5SYQyfurzQcJORS7k/JBmhZpOWohPYFJJC1K0ZSr
// SIG // 763R+7o3pzpeiXAb7i1ZFR6J5u/n68Y5Bqs/hKdZ/Osc
// SIG // v+gq7NLvG5lUhqMyzoAiIE10PZVE7BA1QmOXNZiNa1Cn
// SIG // VNfH6tHb8qUMhQit91xLKzlw341VnX9+HiQVlH67ZO7m
// SIG // xv6NygD0s8sy8TQ=
// SIG // End signature block
