﻿/*!
  Copyright (C) Microsoft. All rights reserved.
  This library is supported for use in Windows Store apps only.
  NOTE: please make sure this file is in sync with https://videoadssdk.azurewebsites.net/api/vpaid?code=oRMOeXB1sSJe12kLg/9JQRBZZM42xQ/dP1abFOwAq7tVZD4DMe13wQ==
*/
(function(){"use strict";function l(){this._listeners=[];this._adSize={width:0,height:0};this._setSdkVersion("unknown","unknown","unknown");this._masterVolumeLevel=0;this._masterVolumeMuted=!1}var r=2,h=0,c=r+"."+h,n;window.onerror=function(n,t,i){try{if(console.error(n),typeof _msVpaidImpl=="function"){var r="Url: "+t+" Line number: "+i;_msVpaidImpl.reportAdError("unhandled JS exception: "+n,r)}}catch(u){}return!0};window.onload=function(){if(typeof getVPAIDAd!="function"){_msVpaidImpl.reportAdError("getVPAIDAd function not defined");return}var t=getVPAIDAd();if(!t){_msVpaidImpl.reportAdError("getVPAIDAd did not return an ad");return}window._msVpaidInstance=new n(t)};window._msReceiveMessageFromAdSdk=function(t){n.log("message from SDK: "+t);window._msVpaidInstance&&window._msVpaidInstance.receiveMessageFromAdSdk(t);window.Maple&&window.Maple.receiveMessageFromAdSdk(t)};n=function(t){if(n.log("instantiating VpaidImpl"),this._creative=t,this._adParameters=null,!n.isValidVpaidCreative(t)){n.reportAdError("ad is not a valid VPAID creative");return}var i=t.handshakeVersion(c);if(!n.isVersionSupported(i)){n.reportAdError("ad requires VPAID version "+i+", sdk supports "+c);return}this._setupEventHandlers(this._creative)};n.prototype={DEFAULT_DESIRED_BITRATE:2e3,initAd:function(t,i,r,u,f,e){n.log("initializing vpaid ad");e||(e={slot:document.querySelector("#msVpaidSlot"),videoSlot:document.querySelector("#msVpaidVideo")});this._creative.initAd(t,i,r,u,f,e)},receiveMessageFromAdSdk:function(t){var u,f,o;if(t&&typeof t=="string"){var r=t,i=null,e=null;try{u=r.indexOf(":");u<0?i=r:(i=r.substr(0,u),e=r.substr(u+1));i==="InitAd"?this._receiveMessageInitAd(e):i==="StartAd"?this.startAd():i==="StopAd"?this.stopAd():i==="PauseAd"?this.pauseAd():i==="ResumeAd"?this.resumeAd():i==="ResizeAd"?(f=JSON.parse(e),this.resizeAd(f.width,f.height,f.viewMode)):i==="SetAdVolume"&&(o=50,this.setAdVolume(o))}catch(s){n.reportAdError("error handling message of type "+i)}}},_receiveMessageInitAd:function(t){try{var i=JSON.parse(t),r=typeof i.desiredBitrate=="number"?i.desiredBitrate:this.DEFAULT_DESIRED_BITRATE,u=typeof i.width=="number"?i.width:0,f=typeof i.height=="number"?i.height:0,e=typeof i.viewMode=="string"?i.viewMode:"fullscreen",o={AdParameters:i.adParameters};this.initAd(u,f,e,r,o,null)}catch(s){n.reportAdError("unable to parse JSON for initAd")}},setAdVolume:function(n){this._creative.setAdVolume(n)},startAd:function(){n.log("startAd");this._creative.startAd()},stopAd:function(){this._creative.stopAd()},resizeAd:function(t,i,r){n.log("resizing ad to "+t+" x "+i+", "+r);this._creative.resizeAd(t,i,r)},pauseAd:function(){this._creative.pauseAd()},resumeAd:function(){this._creative.resumeAd()},_setupEventHandlers:function(t){t&&(n.log("adding event handlers"),t.subscribe(this._adStartedHandler,"AdStarted",this),t.subscribe(this._adStoppedHandler,"AdStopped",this),t.subscribe(this._adSkippedHandler,"AdSkipped",this),t.subscribe(this._adLoadedHandler,"AdLoaded",this),t.subscribe(this._adLinearChangeHandler,"AdLinearChange",this),t.subscribe(this._adSizeChangeHandler,"AdSizeChange",this),t.subscribe(this._adExpandedChangeHandler,"AdExpandedChange",this),t.subscribe(this._adSkippableStateChangeHandler,"AdSkippableStateChange",this),t.subscribe(this._adDurationChangeHandler,"AdDurationChange",this),t.subscribe(this._adRemainingTimeChangeHandler,"AdRemainingTimeChange",this),t.subscribe(this._adVolumeChangeHandler,"AdVolumeChange",this),t.subscribe(this._adImpressionHandler,"AdImpression",this),t.subscribe(this._adClickThruHandler,"AdClickThru",this),t.subscribe(this._adInteractionHandler,"AdInteraction",this),t.subscribe(this._adVideoStartHandler,"AdVideoStart",this),t.subscribe(this._adVideoFirstQuartileHandler,"AdVideoFirstQuartile",this),t.subscribe(this._adVideoMidpointHandler,"AdVideoMidpoint",this),t.subscribe(this._adVideoThirdQuartileHandler,"AdVideoThirdQuartile",this),t.subscribe(this._adVideoCompleteHandler,"AdVideoComplete",this),t.subscribe(this._adUserAcceptInvitationHandler,"AdUserAcceptInvitation",this),t.subscribe(this._adUserMinimizeHandler,"AdUserMinimize",this),t.subscribe(this._adUserCloseHandler,"AdUserClose",this),t.subscribe(this._adPausedHandler,"AdPaused",this),t.subscribe(this._adPlayingHandler,"AdPlaying",this),t.subscribe(this._adErrorHandler,"AdError",this),t.subscribe(this._adLogHandler,"AdLog",this))},_adLoadedHandler:function(){n.log("ad has been loaded");n.sendMessageToAdSdk("AdLoaded")},_adPausedHandler:function(){n.log("ad paused");n.sendMessageToAdSdk("AdPaused")},_adPlayingHandler:function(){n.log("ad playing");n.sendMessageToAdSdk("AdPlaying")},_adErrorHandler:function(t){var i,r;typeof t!="string"&&(i=t,t=i!==null&&typeof i=="object"&&i.message!=="undefined"?"ad error message was: [object]: "+i.message:"ad error message was: "+typeof t);n.log("ad error: "+t);r={message:t};n.sendMessageToAdSdk("(VpaidError) AdError:"+JSON.stringify(r))},_adLogHandler:function(t){var i,r;typeof t!="string"&&(i=t,t=i!==null&&typeof i=="object"&&i.message!=="undefined"?"AdLog:: [object]: "+i.message:"AdLog::"+typeof t);n.log("ad log: "+t);r={message:t};n.sendMessageToAdSdk("AdLog:"+JSON.stringify(r))},_adUserAcceptInvitationHandler:function(){n.log("AdUserAcceptInvitation");n.sendMessageToAdSdk("AdUserAcceptInvitation")},_adUserMinimizeHandler:function(){n.log("AdUserMinimize");n.sendMessageToAdSdk("AdUserMinimize")},_adUserCloseHandler:function(){n.log("AdUserClose");n.sendMessageToAdSdk("AdUserClose")},_adSkippableStateChangeHandler:function(){n.log("ad Skippable State Changed to: "+this._creative.getAdSkippableState());n.sendMessageToAdSdk("AdSkippableStateChange")},_adExpandedChangeHandler:function(){n.log("ad Expanded Changed to: "+this._creative.getAdExpanded());n.sendMessageToAdSdk("AdExpanded")},_adSizeChangeHandler:function(){n.log("ad size changed to: w="+this._creative.getAdWidth()+" h="+this._creative.getAdHeight());var t={width:this._creative.getAdWidth(),height:this._creative.getAdHeight()};n.sendMessageToAdSdk("AdSizeChange:"+JSON.stringify(t))},_adDurationChangeHandler:function(){n.log("ad duration changed to: "+this._creative.getAdDuration());var t={duration:this._creative.getAdDuration()};n.sendMessageToAdSdk("AdDurationChange:"+JSON.stringify(t))},_adRemainingTimeChangeHandler:function(){var t={remainingTime:this._creative.getAdRemainingTime()};n.sendMessageToAdSdk("AdRemainingTimeChange:"+JSON.stringify(t))},_adImpressionHandler:function(){n.log("ad impression");n.sendMessageToAdSdk("AdImpression")},_adClickThruHandler:function(t,i,r){n.log("click-through");typeof t!="string"&&(t="");typeof i!="string"&&(i="");typeof r!="boolean"&&(r=r==="true"?!0:!1);var u={url:t,id:i,playerHandles:r};n.sendMessageToAdSdk("AdClickThru:"+JSON.stringify(u))},_adInteractionHandler:function(){n.log("ad interaction");n.sendMessageToAdSdk("AdInteraction")},_adVideoStartHandler:function(){n.log("video started");n.sendMessageToAdSdk("AdVideoStart")},_adVideoFirstQuartileHandler:function(){n.log("video 25% completed");n.sendMessageToAdSdk("AdVideoFirstQuartile")},_adVideoMidpointHandler:function(){n.log("video 50% completed");n.sendMessageToAdSdk("AdVideoMidpoint")},_adVideoThirdQuartileHandler:function(){n.log("video 75% completed");n.sendMessageToAdSdk("AdVideoThirdQuartile")},_adVideoCompleteHandler:function(){n.log("video completed");n.sendMessageToAdSdk("AdVideoComplete")},_adLinearChangeHandler:function(){n.log("ad linear has changed: "+this._creative.getAdLinear());n.sendMessageToAdSdk("AdLinearChange")},_adStartedHandler:function(){n.log("ad started");n.sendMessageToAdSdk("AdStarted")},_adStoppedHandler:function(){n.log("ad stopped");n.sendMessageToAdSdk("AdStopped")},_adSkippedHandler:function(){n.log("ad skipped");n.sendMessageToAdSdk("AdSkipped")},_adVolumeChangeHandler:function(){n.log("ad volume changed to - "+this._creative.getAdVolume());n.sendMessageToAdSdk("AdVolumeChange")}};n.MSG_TYPE_ERROR="AdError";n.reportAdError=function(t,i){n.log("AD ERROR: "+t);var r={message:t};i!=null&&(r.debugMsg=i);n.sendMessageToAdSdk(n.MSG_TYPE_ERROR+":"+JSON.stringify(r))};n.sendMessageToAdSdk=function(n){window.external.notify(n)};n.isVersionSupported=function(n){if(!n||typeof n!="string")return!1;var t=n.split(".").map(function(n){return parseInt(n,10)}),i=t.length>0?t[0]:NaN,u=t.length>1?t[1]:0;return isNaN(i)||isNaN(u)?!1:i>r?!1:i===r&&u>h?!1:!0};n.isValidVpaidCreative=function(n){return typeof n=="object"&&n!==null&&n.handshakeVersion&&typeof n.handshakeVersion=="function"&&n.initAd&&typeof n.initAd=="function"&&n.startAd&&typeof n.startAd=="function"&&n.stopAd&&typeof n.stopAd=="function"&&n.skipAd&&typeof n.skipAd=="function"&&n.resizeAd&&typeof n.resizeAd=="function"&&n.pauseAd&&typeof n.pauseAd=="function"&&n.resumeAd&&typeof n.resumeAd=="function"&&n.expandAd&&typeof n.expandAd=="function"&&n.collapseAd&&typeof n.collapseAd=="function"&&n.subscribe&&typeof n.subscribe=="function"&&n.unsubscribe&&typeof n.unsubscribe=="function"?!0:!1};n.log=function(){};window._msVpaidImpl=n;var t="viewableChange",i="viewableDataChange",u="ViewableChange",f="ViewableDataChange",a="SdkVersion",e="appId",o="appGuid",s="domain";l.prototype={addEventListener:function(r,e){(r===i||r===t)&&r&&typeof e=="function"&&((this._listeners[r]===null||typeof this._listeners[r]=="undefined")&&(this._listeners[r]=[]),n.log("adding listener for "+r),this._listeners[r].push(e),r===t?n.sendMessageToAdSdk(u+":"+JSON.stringify({listener:"start"})):r===i&&n.sendMessageToAdSdk(f+":"+JSON.stringify({listener:"start"})))},removeEventListener:function(r,e){var s,o;if(n.log("removing listener for "+r),this._listeners&&this._listeners[r]!==null&&typeof this._listeners[r]!="undefined"){if(e===undefined||e===null||e==="")this._listeners[r].length=0;else for(s=this._listeners[r],o=0;o<s.length;o++)if(s[o]===e){s.splice(o,1);break}(this._listeners[r]===null||typeof this._listeners[r]=="undefined"||this._listeners[r].length===0)&&(r===t?(n.log("stopping viewable changed event: "+r+" (no more client listeners)"),n.sendMessageToAdSdk(u+":"+JSON.stringify({listener:"stop"}))):r===i&&(n.log("stopping viewable data changed event: "+r+" (no more client listeners)"),n.sendMessageToAdSdk(f+":"+JSON.stringify({listener:"stop"}))))}},getSize:function(){return typeof this._adSize=="undefined"&&(this._adSize={}),this._adSize},getSdkVersion:function(){return this._sdkInfo||(this._sdkInfo={}),this._sdkInfo},receiveMessageFromAdSdk:function(r){var y,w,h;if(r&&typeof r=="string"){var v=r,c=null,l=null;try{y=v.indexOf(":");y<0?c=v:(c=v.substr(0,y),l=v.substr(y+1));c===u?(w=l?l.toLowerCase()==="true":!1,this._fireEvent(t,w)):c===f?(h=JSON.parse(l),this._setAppPrebidHeader(h[e],h[o],h[s]),this._fireEvent(i,h)):c==="ResizeAd"?(h=JSON.parse(l),this._setSize(h.width,h.height)):c===a&&(h=JSON.parse(l),this._setSdkVersion(h.sdkVersion,h.client,h.runtimeType),this._setAppPrebidHeader(h[e],h[o],h[s]))}catch(p){n.log("Maple error handling message of type: "+c+": "+(p&&p.message?p.message:"unknown"));n.reportAdError("Maple error handling message of type "+c)}}},_setSize:function(t,i){n.log("setting Maple size to "+t+" x "+i);this._adSize={width:t,height:i}},_setSdkVersion:function(t,i,r){this._sdkInfo={sdkVersion:t,client:i,runtimeType:r,appName:navigator.appName,appVersion:navigator.appVersion,userAgent:navigator.userAgent,platform:navigator.platform};n.log("Ad SDK version: "+t+", "+i+", "+r)},_setAppPrebidHeader:function(n,t,i){this.app===undefined&&(this.app={});this.app.appId=n;this.app.appGuid=t;this.app.domain=i},_fireEvent:function(r,u){if(n.log("raising event "+r+" with data "+u),this._listeners[r]!==null&&typeof this._listeners[r]!="undefined")try{var h=this._listeners[r].slice(),f;switch(r){case t:case i:for(this._masterVolumeLevel=u.adMasterVolume,this._masterVolumeMuted=u.adMasterVolumeMuted,this._setAppPrebidHeader(u[e],u[o],u[s]),f=0;f<h.length;f++)h[f](u);break;default:return}}catch(c){n.log("exception thrown while firing event: "+c.message)}else n.log("no listeners for event "+r)}};window.Maple=window.maple=window.MAPLE=new l})();
// SIG // Begin signature block
// SIG // MIIdjAYJKoZIhvcNAQcCoIIdfTCCHXkCAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFM/lim5Z7QKi
// SIG // +c2EORi5MULdQA0ioIIYajCCBNowggPCoAMCAQICEzMA
// SIG // AAD0IliVwqnYKCUAAAAAAPQwDQYJKoZIhvcNAQEFBQAw
// SIG // dzELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hpbmd0
// SIG // b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1p
// SIG // Y3Jvc29mdCBDb3Jwb3JhdGlvbjEhMB8GA1UEAxMYTWlj
// SIG // cm9zb2Z0IFRpbWUtU3RhbXAgUENBMB4XDTE4MDgyMzIw
// SIG // MTk1NloXDTE5MTEyMzIwMTk1NlowgcoxCzAJBgNVBAYT
// SIG // AlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQH
// SIG // EwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQgQ29y
// SIG // cG9yYXRpb24xJTAjBgNVBAsTHE1pY3Jvc29mdCBBbWVy
// SIG // aWNhIE9wZXJhdGlvbnMxJjAkBgNVBAsTHVRoYWxlcyBU
// SIG // U1MgRVNOOjBERTgtMkRDNS0zQ0E5MSUwIwYDVQQDExxN
// SIG // aWNyb3NvZnQgVGltZS1TdGFtcCBTZXJ2aWNlMIIBIjAN
// SIG // BgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAzbLApPMX
// SIG // DamYOXL/QiwX0DdfxamyREvJatXCr3CRn1qLM74uCPNG
// SIG // Dqev+G88q3YSkM1kfPQyxP0LRYreZMBwB0uTUFb/HCkZ
// SIG // eVqCzljh6D7iG13jeHmnLyH+TGhBnif7o2L6P34/vMFA
// SIG // 2J7eP6u9RaiDUNwJLq+pRRkFqSPpi0Hy7HaRLsCJc9As
// SIG // /xKoM3iL97zmg+XpAyhOAzTvbyX2JpyIzBV6BIQxQtB5
// SIG // aOBreptrS0M9u1GGqwwf6KLGI+7iU4tD+KQgDHlbY/nW
// SIG // Lghdh8BO+5i/aymjcfjSMJ8mKw+PA73uSNt2GrOUX5HA
// SIG // N58pjKs+aJjcb9Hp/IPCgOtdFQIDAQABo4IBCTCCAQUw
// SIG // HQYDVR0OBBYEFDJpl8+fy0wI2L9CRVFPvmMfj0RUMB8G
// SIG // A1UdIwQYMBaAFCM0+NlSRnAK7UD7dvuzK7DDNbMPMFQG
// SIG // A1UdHwRNMEswSaBHoEWGQ2h0dHA6Ly9jcmwubWljcm9z
// SIG // b2Z0LmNvbS9wa2kvY3JsL3Byb2R1Y3RzL01pY3Jvc29m
// SIG // dFRpbWVTdGFtcFBDQS5jcmwwWAYIKwYBBQUHAQEETDBK
// SIG // MEgGCCsGAQUFBzAChjxodHRwOi8vd3d3Lm1pY3Jvc29m
// SIG // dC5jb20vcGtpL2NlcnRzL01pY3Jvc29mdFRpbWVTdGFt
// SIG // cFBDQS5jcnQwEwYDVR0lBAwwCgYIKwYBBQUHAwgwDQYJ
// SIG // KoZIhvcNAQEFBQADggEBAAJaOxLBSc5MBSLUKSoeMi6h
// SIG // /x5Aab88Zm/6Jw2B/DSQXwDbV1OGbhJQOjKWRo9zVp1f
// SIG // Bxoe4bEG/Zfjc/ZvZP7Y89LFq1cjNAEmlw/eLuP7/xJX
// SIG // Yz3xIGScgkLr9ABqbz2NR3Kr2uR+SUrS7iWPSV6iKWIV
// SIG // VaQQ2eoOQDYOL+UNJDXiQcxjFARhRYIMZXwuRge83AJO
// SIG // Uq+zq9m/1fhilbYi+fdEXl376iTop59VnzQEb561EaiZ
// SIG // Huwlb+UGdVRPkpRmF3mtGsaCapK3VoaIKwjIYiU4ncQ5
// SIG // HMttV9F/jvIcstnFm+nr7SX3HWSkwFEG1uutTJ3cCLoN
// SIG // V9VV3VEeBXswggX/MIID56ADAgECAhMzAAABA14lHJkf
// SIG // ox64AAAAAAEDMA0GCSqGSIb3DQEBCwUAMH4xCzAJBgNV
// SIG // BAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5ndG9uMRAwDgYD
// SIG // VQQHEwdSZWRtb25kMR4wHAYDVQQKExVNaWNyb3NvZnQg
// SIG // Q29ycG9yYXRpb24xKDAmBgNVBAMTH01pY3Jvc29mdCBD
// SIG // b2RlIFNpZ25pbmcgUENBIDIwMTEwHhcNMTgwNzEyMjAw
// SIG // ODQ4WhcNMTkwNzI2MjAwODQ4WjB0MQswCQYDVQQGEwJV
// SIG // UzETMBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMH
// SIG // UmVkbW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBv
// SIG // cmF0aW9uMR4wHAYDVQQDExVNaWNyb3NvZnQgQ29ycG9y
// SIG // YXRpb24wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEK
// SIG // AoIBAQDRlHY25oarNv5p+UZ8i4hQy5Bwf7BVqSQdfjnn
// SIG // BZ8PrHuXss5zCvvUmyRcFrU53Rt+M2wR/Dsm85iqXVNr
// SIG // qsPsE7jS789Xf8xly69NLjKxVitONAeJ/mkhvT5E+94S
// SIG // nYW/fHaGfXKxdpth5opkTEbOttU6jHeTd2chnLZaBl5H
// SIG // hvU80QnKDT3NsumhUHjRhIjiATwi/K+WCMxdmcDt66Va
// SIG // mJL1yEBOanOv3uN0etNfRpe84mcod5mswQ4xFo8ADwH+
// SIG // S15UD8rEZT8K46NG2/YsAzoZvmgFFpzmfzS/p4eNZTkm
// SIG // yWPU78XdvSX+/Sj0NIZ5rCrVXzCRO+QUauuxygQjAgMB
// SIG // AAGjggF+MIIBejAfBgNVHSUEGDAWBgorBgEEAYI3TAgB
// SIG // BggrBgEFBQcDAzAdBgNVHQ4EFgQUR77Ay+GmP/1l1jjy
// SIG // A123r3f3QP8wUAYDVR0RBEkwR6RFMEMxKTAnBgNVBAsT
// SIG // IE1pY3Jvc29mdCBPcGVyYXRpb25zIFB1ZXJ0byBSaWNv
// SIG // MRYwFAYDVQQFEw0yMzAwMTIrNDM3OTY1MB8GA1UdIwQY
// SIG // MBaAFEhuZOVQBdOCqhc3NyK1bajKdQKVMFQGA1UdHwRN
// SIG // MEswSaBHoEWGQ2h0dHA6Ly93d3cubWljcm9zb2Z0LmNv
// SIG // bS9wa2lvcHMvY3JsL01pY0NvZFNpZ1BDQTIwMTFfMjAx
// SIG // MS0wNy0wOC5jcmwwYQYIKwYBBQUHAQEEVTBTMFEGCCsG
// SIG // AQUFBzAChkVodHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20v
// SIG // cGtpb3BzL2NlcnRzL01pY0NvZFNpZ1BDQTIwMTFfMjAx
// SIG // MS0wNy0wOC5jcnQwDAYDVR0TAQH/BAIwADANBgkqhkiG
// SIG // 9w0BAQsFAAOCAgEAn/XJUw0/DSbsokTYDdGfY5YGSz8e
// SIG // XMUzo6TDbK8fwAG662XsnjMQD6esW9S9kGEX5zHnwya0
// SIG // rPUn00iThoj+EjWRZCLRay07qCwVlCnSN5bmNf8MzsgG
// SIG // FhaeJLHiOfluDnjYDBu2KWAndjQkm925l3XLATutghIW
// SIG // IoCJFYS7mFAgsBcmhkmvzn1FFUM0ls+BXBgs1JPyZ6vi
// SIG // c8g9o838Mh5gHOmwGzD7LLsHLpaEk0UoVFzNlv2g24HY
// SIG // tjDKQ7HzSMCyRhxdXnYqWJ/U7vL0+khMtWGLsIxB6aq4
// SIG // nZD0/2pCD7k+6Q7slPyNgLt44yOneFuybR/5WcF9ttE5
// SIG // yXnggxxgCto9sNHtNr9FB+kbNm7lPTsFA6fUpyUSj+Z2
// SIG // oxOzRVpDMYLa2ISuubAfdfX2HX1RETcn6LU1hHH3V6qu
// SIG // +olxyZjSnlpkdr6Mw30VapHxFPTy2TUxuNty+rR1yIib
// SIG // ar+YRcdmstf/zpKQdeTr5obSyBvbJ8BblW9Jb1hdaSre
// SIG // U0v46Mp79mwV+QMZDxGFqk+av6pX3WDG9XEg9FGomsrp
// SIG // 0es0Rz11+iLsVT9qGTlrEOlaP470I3gwsvKmOMs1jaqY
// SIG // WSRAuDpnpAdfoP7YO0kT+wzh7Qttg1DO8H8+4NkI6Iwh
// SIG // SkHC3uuOW+4Dwx1ubuZUNWZncnwa6lL2IsRyP64wggYH
// SIG // MIID76ADAgECAgphFmg0AAAAAAAcMA0GCSqGSIb3DQEB
// SIG // BQUAMF8xEzARBgoJkiaJk/IsZAEZFgNjb20xGTAXBgoJ
// SIG // kiaJk/IsZAEZFgltaWNyb3NvZnQxLTArBgNVBAMTJE1p
// SIG // Y3Jvc29mdCBSb290IENlcnRpZmljYXRlIEF1dGhvcml0
// SIG // eTAeFw0wNzA0MDMxMjUzMDlaFw0yMTA0MDMxMzAzMDla
// SIG // MHcxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5n
// SIG // dG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
// SIG // aWNyb3NvZnQgQ29ycG9yYXRpb24xITAfBgNVBAMTGE1p
// SIG // Y3Jvc29mdCBUaW1lLVN0YW1wIFBDQTCCASIwDQYJKoZI
// SIG // hvcNAQEBBQADggEPADCCAQoCggEBAJ+hbLHf20iSKnxr
// SIG // LhnhveLjxZlRI1Ctzt0YTiQP7tGn0UytdDAgEesH1VSV
// SIG // FUmUG0KSrphcMCbaAGvoe73siQcP9w4EmPCJzB/LMySH
// SIG // nfL0Zxws/HvniB3q506jocEjU8qN+kXPCdBer9CwQgSi
// SIG // +aZsk2fXKNxGU7CG0OUoRi4nrIZPVVIM5AMs+2qQkDBu
// SIG // h/NZMJ36ftaXs+ghl3740hPzCLdTbVK0RZCfSABKR2YR
// SIG // JylmqJfk0waBSqL5hKcRRxQJgp+E7VV4/gGaHVAIhQAQ
// SIG // MEbtt94jRrvELVSfrx54QTF3zJvfO4OToWECtR0Nsfz3
// SIG // m7IBziJLVP/5BcPCIAsCAwEAAaOCAaswggGnMA8GA1Ud
// SIG // EwEB/wQFMAMBAf8wHQYDVR0OBBYEFCM0+NlSRnAK7UD7
// SIG // dvuzK7DDNbMPMAsGA1UdDwQEAwIBhjAQBgkrBgEEAYI3
// SIG // FQEEAwIBADCBmAYDVR0jBIGQMIGNgBQOrIJgQFYnl+Ul
// SIG // E/wq4QpTlVnkpKFjpGEwXzETMBEGCgmSJomT8ixkARkW
// SIG // A2NvbTEZMBcGCgmSJomT8ixkARkWCW1pY3Jvc29mdDEt
// SIG // MCsGA1UEAxMkTWljcm9zb2Z0IFJvb3QgQ2VydGlmaWNh
// SIG // dGUgQXV0aG9yaXR5ghB5rRahSqClrUxzWPQHEy5lMFAG
// SIG // A1UdHwRJMEcwRaBDoEGGP2h0dHA6Ly9jcmwubWljcm9z
// SIG // b2Z0LmNvbS9wa2kvY3JsL3Byb2R1Y3RzL21pY3Jvc29m
// SIG // dHJvb3RjZXJ0LmNybDBUBggrBgEFBQcBAQRIMEYwRAYI
// SIG // KwYBBQUHMAKGOGh0dHA6Ly93d3cubWljcm9zb2Z0LmNv
// SIG // bS9wa2kvY2VydHMvTWljcm9zb2Z0Um9vdENlcnQuY3J0
// SIG // MBMGA1UdJQQMMAoGCCsGAQUFBwMIMA0GCSqGSIb3DQEB
// SIG // BQUAA4ICAQAQl4rDXANENt3ptK132855UU0BsS50cVtt
// SIG // DBOrzr57j7gu1BKijG1iuFcCy04gE1CZ3XpA4le7r1ia
// SIG // HOEdAYasu3jyi9DsOwHu4r6PCgXIjUji8FMV3U+rkuTn
// SIG // jWrVgMHmlPIGL4UD6ZEqJCJw+/b85HiZLg33B+JwvBhO
// SIG // nY5rCnKVuKE5nGctxVEO6mJcPxaYiyA/4gcaMvnMMUp2
// SIG // MT0rcgvI6nA9/4UKE9/CCmGO8Ne4F+tOi3/FNSteo7/r
// SIG // vH0LQnvUU3Ih7jDKu3hlXFsBFwoUDtLaFJj1PLlmWLMt
// SIG // L+f5hYbMUVbonXCUbKw5TNT2eb+qGHpiKe+imyk0Bnca
// SIG // Ysk9Hm0fgvALxyy7z0Oz5fnsfbXjpKh0NbhOxXEjEiZ2
// SIG // CzxSjHFaRkMUvLOzsE1nyJ9C/4B5IYCeFTBm6EISXhrI
// SIG // niIh0EPpK+m79EjMLNTYMoBMJipIJF9a6lbvpt6Znco6
// SIG // b72BJ3QGEe52Ib+bgsEnVLaxaj2JoXZhtG6hE6a/qkfw
// SIG // Em/9ijJssv7fUciMI8lmvZ0dhxJkAj0tr1mPuOQh5bWw
// SIG // ymO0eFQF1EEuUKyUsKV4q7OglnUa2ZKHE3UiLzKoCG6g
// SIG // W4wlv6DvhMoh1useT8ma7kng9wFlb4kLfchpyOZu6qeX
// SIG // zjEp/w7FW1zYTRuh2Povnj8uVRZryROj/TCCB3owggVi
// SIG // oAMCAQICCmEOkNIAAAAAAAMwDQYJKoZIhvcNAQELBQAw
// SIG // gYgxCzAJBgNVBAYTAlVTMRMwEQYDVQQIEwpXYXNoaW5n
// SIG // dG9uMRAwDgYDVQQHEwdSZWRtb25kMR4wHAYDVQQKExVN
// SIG // aWNyb3NvZnQgQ29ycG9yYXRpb24xMjAwBgNVBAMTKU1p
// SIG // Y3Jvc29mdCBSb290IENlcnRpZmljYXRlIEF1dGhvcml0
// SIG // eSAyMDExMB4XDTExMDcwODIwNTkwOVoXDTI2MDcwODIx
// SIG // MDkwOVowfjELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldh
// SIG // c2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNV
// SIG // BAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEoMCYGA1UE
// SIG // AxMfTWljcm9zb2Z0IENvZGUgU2lnbmluZyBQQ0EgMjAx
// SIG // MTCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIB
// SIG // AKvw+nIQHC6t2G6qghBNNLrytlghn0IbKmvpWlCquAY4
// SIG // GgRJun/DDB7dN2vGEtgL8DjCmQawyDnVARQxQtOJDXlk
// SIG // h36UYCRsr55JnOloXtLfm1OyCizDr9mpK656Ca/XllnK
// SIG // YBoF6WZ26DJSJhIv56sIUM+zRLdd2MQuA3WraPPLbfM6
// SIG // XKEW9Ea64DhkrG5kNXimoGMPLdNAk/jj3gcN1Vx5pUkp
// SIG // 5w2+oBN3vpQ97/vjK1oQH01WKKJ6cuASOrdJXtjt7UOR
// SIG // g9l7snuGG9k+sYxd6IlPhBryoS9Z5JA7La4zWMW3Pv4y
// SIG // 07MDPbGyr5I4ftKdgCz1TlaRITUlwzluZH9TupwPrRkj
// SIG // hMv0ugOGjfdf8NBSv4yUh7zAIXQlXxgotswnKDglmDlK
// SIG // Ns98sZKuHCOnqWbsYR9q4ShJnV+I4iVd0yFLPlLEtVc/
// SIG // JAPw0XpbL9Uj43BdD1FGd7P4AOG8rAKCX9vAFbO9G9RV
// SIG // S+c5oQ/pI0m8GLhEfEXkwcNyeuBy5yTfv0aZxe/CHFfb
// SIG // g43sTUkwp6uO3+xbn6/83bBm4sGXgXvt1u1L50kppxMo
// SIG // pqd9Z4DmimJ4X7IvhNdXnFy/dygo8e1twyiPLI9AN0/B
// SIG // 4YVEicQJTMXUpUMvdJX3bvh4IFgsE11glZo+TzOE2rCI
// SIG // F96eTvSWsLxGoGyY0uDWiIwLAgMBAAGjggHtMIIB6TAQ
// SIG // BgkrBgEEAYI3FQEEAwIBADAdBgNVHQ4EFgQUSG5k5VAF
// SIG // 04KqFzc3IrVtqMp1ApUwGQYJKwYBBAGCNxQCBAweCgBT
// SIG // AHUAYgBDAEEwCwYDVR0PBAQDAgGGMA8GA1UdEwEB/wQF
// SIG // MAMBAf8wHwYDVR0jBBgwFoAUci06AjGQQ7kUBU7h6qfH
// SIG // MdEjiTQwWgYDVR0fBFMwUTBPoE2gS4ZJaHR0cDovL2Ny
// SIG // bC5taWNyb3NvZnQuY29tL3BraS9jcmwvcHJvZHVjdHMv
// SIG // TWljUm9vQ2VyQXV0MjAxMV8yMDExXzAzXzIyLmNybDBe
// SIG // BggrBgEFBQcBAQRSMFAwTgYIKwYBBQUHMAKGQmh0dHA6
// SIG // Ly93d3cubWljcm9zb2Z0LmNvbS9wa2kvY2VydHMvTWlj
// SIG // Um9vQ2VyQXV0MjAxMV8yMDExXzAzXzIyLmNydDCBnwYD
// SIG // VR0gBIGXMIGUMIGRBgkrBgEEAYI3LgMwgYMwPwYIKwYB
// SIG // BQUHAgEWM2h0dHA6Ly93d3cubWljcm9zb2Z0LmNvbS9w
// SIG // a2lvcHMvZG9jcy9wcmltYXJ5Y3BzLmh0bTBABggrBgEF
// SIG // BQcCAjA0HjIgHQBMAGUAZwBhAGwAXwBwAG8AbABpAGMA
// SIG // eQBfAHMAdABhAHQAZQBtAGUAbgB0AC4gHTANBgkqhkiG
// SIG // 9w0BAQsFAAOCAgEAZ/KGpZjgVHkaLtPYdGcimwuWEeFj
// SIG // kplCln3SeQyQwWVfLiw++MNy0W2D/r4/6ArKO79HqaPz
// SIG // adtjvyI1pZddZYSQfYtGUFXYDJJ80hpLHPM8QotS0LD9
// SIG // a+M+By4pm+Y9G6XUtR13lDni6WTJRD14eiPzE32mkHSD
// SIG // jfTLJgJGKsKKELukqQUMm+1o+mgulaAqPyprWEljHwlp
// SIG // blqYluSD9MCP80Yr3vw70L01724lruWvJ+3Q3fMOr5ko
// SIG // l5hNDj0L8giJ1h/DMhji8MUtzluetEk5CsYKwsatruWy
// SIG // 2dsViFFFWDgycScaf7H0J/jeLDogaZiyWYlobm+nt3TD
// SIG // QAUGpgEqKD6CPxNNZgvAs0314Y9/HG8VfUWnduVAKmWj
// SIG // w11SYobDHWM2l4bf2vP48hahmifhzaWX0O5dY0HjWwec
// SIG // hz4GdwbRBrF1HxS+YWG18NzGGwS+30HHDiju3mUv7Jf2
// SIG // oVyW2ADWoUa9WfOXpQlLSBCZgB/QACnFsZulP0V3HjXG
// SIG // 0qKin3p6IvpIlR+r+0cjgPWe+L9rt0uX4ut1eBrs6jeZ
// SIG // eRhL/9azI2h15q/6/IvrC4DqaTuv/DDtBEyO3991bWOR
// SIG // PdGdVk5Pv4BXIqF4ETIheu9BCrE/+6jMpF3BoYibV3FW
// SIG // TkhFwELJm3ZbCoBIa/15n8G9bW1qyVJzEw16UM0xggSO
// SIG // MIIEigIBATCBlTB+MQswCQYDVQQGEwJVUzETMBEGA1UE
// SIG // CBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9uZDEe
// SIG // MBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9uMSgw
// SIG // JgYDVQQDEx9NaWNyb3NvZnQgQ29kZSBTaWduaW5nIFBD
// SIG // QSAyMDExAhMzAAABA14lHJkfox64AAAAAAEDMAkGBSsO
// SIG // AwIaBQCggaIwGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcC
// SIG // AQQwHAYKKwYBBAGCNwIBCzEOMAwGCisGAQQBgjcCARUw
// SIG // IwYJKoZIhvcNAQkEMRYEFF6nRl6iGdvhlNH1jhCua/Yl
// SIG // SPvoMEIGCisGAQQBgjcCAQwxNDAyoBSAEgBNAGkAYwBy
// SIG // AG8AcwBvAGYAdKEagBhodHRwOi8vd3d3Lm1pY3Jvc29m
// SIG // dC5jb20wDQYJKoZIhvcNAQEBBQAEggEAHCR258ukuH7E
// SIG // kiP8+dceTTeqh4e/6cAZTi1OzUvxlPH5wGIsjkN+8cDS
// SIG // y+4DsLnHpTuIk5qymr2nZTGc31WKCYVmfpa88dLmAcX/
// SIG // c37yrbc5A0sYJj6Dr5lb8Ur9YF0TyeBZqERJCIHjcnLD
// SIG // pjZeZ7uJAWA3qtpjm6wYMv4ZE8RF/K3oPt9CQZ0u7Ax9
// SIG // f6hLREJrVHmD2DSlsQSQgNh5BKa7S2azdKDgL17fmIky
// SIG // UCUymbpWdZtUyP8G8g6qC0X+HU3OFBZ+Fo6g50qAVxSO
// SIG // y5pEql864kTj/T95RoyvhMTz0zhLRgAcYI8HD5kqBW24
// SIG // 3fVksmLMG1DFCHhEB73as6GCAigwggIkBgkqhkiG9w0B
// SIG // CQYxggIVMIICEQIBATCBjjB3MQswCQYDVQQGEwJVUzET
// SIG // MBEGA1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVk
// SIG // bW9uZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0
// SIG // aW9uMSEwHwYDVQQDExhNaWNyb3NvZnQgVGltZS1TdGFt
// SIG // cCBQQ0ECEzMAAAD0IliVwqnYKCUAAAAAAPQwCQYFKw4D
// SIG // AhoFAKBdMBgGCSqGSIb3DQEJAzELBgkqhkiG9w0BBwEw
// SIG // HAYJKoZIhvcNAQkFMQ8XDTE4MTEyMzA0MTAwOVowIwYJ
// SIG // KoZIhvcNAQkEMRYEFCCqrR2m/ilE/zC2PNUlh8DqG7so
// SIG // MA0GCSqGSIb3DQEBBQUABIIBAD4BnBxkFfYSAURI/Vjk
// SIG // bdjBafuMCyG+lROf7pjFQJvO3y8/9atQCCjLA+S9fLvr
// SIG // TqFVduKs+HKT9GQ1gz7iwVXkgsGYBpSfByPTl8hG6gEV
// SIG // /7V1aQiBG8RnH9eWVxg0EtcTlE+Iu1K/3VOmPVP3pIhy
// SIG // kZQLibACRHxkD7szAq/+wrgL+d/YCYfsuw5cwGKqoWt7
// SIG // 8WXzp3+/uO2nva6XGKIy0FKM6/jMLaiRoF+6bZqiNtPE
// SIG // fHA4yHzDJgUBMh8MyixePB6pNPS1sVQyJPlfmnIsdOWp
// SIG // aE3GXtzYE1m2g41l1bO7LM5g7c8cKwYahK0CQCNnexPc
// SIG // ffdvw7k8PXJM5CY=
// SIG // End signature block
